%%% GR Plots Aalto-Helsinki iGEM 2019

%Calculations based on 
%Ram, Y., Dellus-gur, E., Bibi, M., Karkare, K., Obolski, U., & Feldman, M. W. (2019). 
%Predicting microbial growth in a mixed culture from growth curve data.


%%
%Import GROWTHRATE.xlsx as a numeric matrix
%Your Excel may convert the hours differently depending on the decimal
%separator.

figure(1)
Time = GROWTHRATE(1:60,1);
C = GROWTHRATE(1:60,2);
scatter(Time, C,'b','filled');

%Open tools and basic fitting, fit a cubic fit and save the coefficients
%and residuals
%%
q1 = polyder(fit.coeff);
q2 = polyder(q1);
r = roots(q2);

%%
%Select three points around the r-point, which is the t_max
%and plot the points. Again, basic fitting but linear this time.
%The lines slope is the growth rate.

grid off
L = log10(C);
a = Time(24:29,1);
b = L(24:29,1);
figure(2)
scatter(a,b, 'filled');
%%
%Plot of the data, growth curve and t_max in one plot
grid off
y = 0.06*x - 0.45
figure(3)
scatter(Time, C, 'filled', 'b');
hold on
plot(Time,y);
xline(r,'--r',{'t_m_a_x'});
hold off

legend('Induction data','Fitted growth rate from t_m_a_x','Location','southeast')


